.header {
    justify-content: space-between;
    align-items: center;

    &__left {
        align-items: center;
        gap: .5rem;

        span {
            font-weight: 700;
            font-size: 2.4rem;
            line-height: 2.9rem;
            color: var(--text-primary);
        }
    }

    &__right {
        align-items: center;
        gap: 3.3rem;
        transform: translateX(-5.2rem);
        svg {
            fill: var(--icon-color);
        }
    }

    &__nav {

        &__list {
            gap: 5rem;

            a {
                font-weight: 700;
                font-size: 1.8rem;
                line-height: 2.2rem;
                color: var(--text-primary);
                opacity: 0.75;
                position: relative;
                transition: all .35s ease;
                padding-bottom: .6rem;

                &::before {
                    content: "";
                    position: absolute;
                    width: 100%;
                    height: .3rem;
                    bottom: 0;
                    right: 0;
                    background-color: var(--text-hover-color);
                    visibility: hidden;
                    // -webkit-transform: scaleX(0);
                    transform: scaleX(0);
                    -webkit-transition: all 0.3s ease-in-out 0s;
                    transition: all 0.3s ease-in-out 0s;
                    border-radius: 0.32rem;
                }

                &:hover {
                    color: var(--text-hover-color);
                    opacity: 0.75;
                    // border-bottom: solid .3rem var(--text-hover-color);
                    // border-radius: .32rem;

                    &::before {
                        visibility: visible;
                        -webkit-transform: scaleX(1);
                        transform: scaleX(1);
                    }
                }
            }
        }

    }
}